info.bioinfweb.jphyloio.formats.nexus.commandreaders.trees

## Class NexusNewickReaderNodeLabelProcessor

- java.lang.Object
- - info.bioinfweb.jphyloio.formats.nexus.commandreaders.trees.NexusNewickReaderNodeLabelProcessor

- All Implemented Interfaces:
    NewickReaderNodeLabelProcessor, NexusConstants

      public class NexusNewickReaderNodeLabelProcessor
      extends java.lang.Object
      implements NewickReaderNodeLabelProcessor, NexusConstants

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static boolean` | `DEFAULT_TRANSLATE_INTERNAL_NODE_NAMES`

    - ### Fields inherited from interface info.bioinfweb.jphyloio.formats.nexus.NexusConstants

      `ALTERNATIVE_END_COMMAND, BEGIN_COMMAND, BLOCK_NAME_CHARACTERS, BLOCK_NAME_DATA, BLOCK_NAME_NETWORKS, BLOCK_NAME_SETS, BLOCK_NAME_TAXA, BLOCK_NAME_TREES, BLOCK_NAME_UNALIGNED, CHARACTER_NAME_STATES_SEPARATOR, COMMAND_END, COMMAND_NAME_CHAR_LABELS, COMMAND_NAME_CHAR_SET, COMMAND_NAME_CHAR_STATE_LABELS, COMMAND_NAME_DIMENSIONS, COMMAND_NAME_FORMAT, COMMAND_NAME_LINK, COMMAND_NAME_MATRIX, COMMAND_NAME_NETWORK, COMMAND_NAME_TAX_LABELS, COMMAND_NAME_TAXON_SET, COMMAND_NAME_TITLE, COMMAND_NAME_TRANSLATE, COMMAND_NAME_TREE, COMMAND_NAME_TREE_SET, COMMENT_END, COMMENT_START, DIMENSIONS_SUBCOMMAND_NCHAR, DIMENSIONS_SUBCOMMAND_NEW_TAXA, DIMENSIONS_SUBCOMMAND_NTAX, ELEMENT_SEPARATOR, END_COMMAND, FIRST_LINE, FORMAT_NAME_STANDARD, FORMAT_NAME_VECTOR, FORMAT_SUBCOMMAND_DATA_TYPE, FORMAT_SUBCOMMAND_GAP_CHAR, FORMAT_SUBCOMMAND_INTERLEAVE, FORMAT_SUBCOMMAND_MATCH_CHAR, FORMAT_SUBCOMMAND_MISSING_CHAR, FORMAT_SUBCOMMAND_NO_LABELS, FORMAT_SUBCOMMAND_NO_TOKENS, FORMAT_SUBCOMMAND_SYMBOLS, FORMAT_SUBCOMMAND_TOKENS, FORMAT_SUBCOMMAND_TRANSPOSE, FORMAT_VALUE_CONTINUOUS_DATA_TYPE, FORMAT_VALUE_DNA_DATA_TYPE, FORMAT_VALUE_MIXED_DATA_TYPE, FORMAT_VALUE_NUCLEOTIDE_DATA_TYPE, FORMAT_VALUE_PROTEIN_DATA_TYPE, FORMAT_VALUE_RNA_DATA_TYPE, FORMAT_VALUE_STANDARD_DATA_TYPE, KEY_VALUE_SEPARATOR, MATRIX_POLYMORPHIC_TOKEN_END, MATRIX_POLYMORPHIC_TOKEN_START, MATRIX_UNCERTAINS_TOKEN_END, MATRIX_UNCERTAINS_TOKEN_START, NEXUS_FORMAT_NAME, NEXUS_NAMESPACE_PREFIX, NEXUS_PREDICATE_NAMESPACE, SET_END_INDEX_SYMBOL, SET_KEY_WORD_ALL, SET_KEY_WORD_REMAINING, SET_REGULAR_INTERVAL_SYMBOL, SET_TO_SYMBOL, SET_VECTOR_CONTAINED, SET_VECTOR_NOT_CONTAINED, UNTIL_WHITESPACE_COMMENT_COMMAND_EQUAL_PATTERN, UNTIL_WHITESPACE_COMMENT_COMMAND_PATTERN, VALUE_DELIMITER, WORD_DELIMITER`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `NexusNewickReaderNodeLabelProcessor(NexusReaderStreamDataProvider streamDataProvider)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getLinkedOTUID(java.lang.String processedLabel)` Returns the OTU ID that is associated with the specified label.
    `java.lang.String` | `processLabel(java.lang.String originalLabel, boolean isInternal)` Processes a label according to the format modeled by this implementation.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DEFAULT_TRANSLATE_INTERNAL_NODE_NAMES

          public static final boolean DEFAULT_TRANSLATE_INTERNAL_NODE_NAMES

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### NexusNewickReaderNodeLabelProcessor

          public NexusNewickReaderNodeLabelProcessor(NexusReaderStreamDataProvider streamDataProvider)

  - ### Method Detail

    - #### processLabel

          public java.lang.String processLabel(java.lang.String originalLabel,
                                               boolean isInternal)

      Description copied from interface: `NewickReaderNodeLabelProcessor`
      Processes a label according to the format modeled by this implementation.
      Specified by:
        `processLabel` in interface `NewickReaderNodeLabelProcessor`
      Parameters:
        `originalLabel` - the label as it was read from the Newick string
        `isInternal` - defines whether the node carrying this label is an internal node or not
      Returns:
        the processed label

    - #### getLinkedOTUID

          public java.lang.String getLinkedOTUID(java.lang.String processedLabel)

      Description copied from interface: `NewickReaderNodeLabelProcessor`
      Returns the OTU ID that is associated with the specified label.
      Specified by:
        `getLinkedOTUID` in interface `NewickReaderNodeLabelProcessor`
      Parameters:
        `processedLabel` - the processed label as it was returned by a call if `#processLabel(String)`
      Returns:
        the linked OTU ID or `null` if no associated OTU ID exists